/*
CTC Separate Stylesheet
Updated: 2026-03-18 13:34:19
*/

/*INICIO*/
/*titulo de categorías y productos*/
.page-title {
    font-weight: 800;
	margin-bottom: 20px !important;
}
.woocommerce-js .woocommerce-breadcrumb {
	margin-bottom: 15px !important;
}

/*Ditty barra de anuncio*/
.site-above-header-wrap {
	width: 100% !important;
	max-width: 100% !important;
	margin-left: 0 !important;
    margin-right: 0 !important;
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.site-header-above-section-center .header-widget-area, #block-50{
	min-width: 100% !important;
	width: 100% !important;
	max-width: 100% !important;
	padding: 0 !important;
}

/*ORDERING, FILTROS Y RESULTADOS*/
.custom-toolbar {
	display: flex;
	align-items: center;
	justify-content: space-between;
	position: sticky;
	top: 90px;
	z-index: 10;
	background: white;
	padding: 10px 0;
	}
.custom-actions {
    display: flex;
    gap: 5px;
	background-color: white;
}
.woocommerce-ordering , .wpc-filters-open-widget {
	background-color: #EBEDF2 !important;
	border: none !important;
	border-top: 5px solid #FFF222 !important;
	margin: 0 !important;
	color: #121314 !important;
}
.woocommerce-ordering select {
		background-color: #EBEDF2 !important;
		color: #121314 !important;
	padding: 5px 10px !important;
}
.wpc-filters-open-widget {
	height: 100%;
	width: 100%;
	padding: 5px 10px !important;
}
.woocommerce-result-count {
	/*margin: 15px 0 !important;*/
	margin: 10px 0 !important;
}

@media (max-width: 768px) {
	.custom-toolbar {
		/*display: block;*/
		top: calc(50px);
		/*top: calc(50px - 46px);*/
		left: 0;
		margin-left: -20px;
 		margin-right: -20px;
		padding: 10px 20px !important;
	}
	.custom-results, .custom-actions, .wpc-filters-open-button-container, .woocommerce-ordering {
    flex: 1;
}
	.custom-results, .wpc-filters-open-button-container, .woocommerce-ordering {
	max-height: 45px;
}
	.wpc_show_bottom_widget .wpc-filters-open-button-container {
        margin: 0 !important;
    }
}

/*Filtros de búsqueda*/
.wpc-filters-widget-top-container {
	padding: 5px 0 !important;
}

.wpc-filters-section {
	background: #EBEDF2;
	border-top: 5px solid #FFF222;
	padding: 15px;
	margin-bottom: 15px !important;
	transition: 0.3s ease-out;
}
.wpc-filter-title {
	margin-bottom: 0 !important;
}
.wpc-filter-header {
}
.wpc-filter-title button{
	margin: 0 0 5px !important;
}
.wpc-checkbox-item {
	padding: 0 !important;
	margin-bottom: 0px !important;
}
.wpc-checkbox-item:hover {
	background: #DDE1E9;
}
.wpc-wrap-icons {
	font-size: 20px !important;
}
.wpc-filter-product_cat .wpc-term-item-content-wrapper {
    padding-right: 40px !important;
}
.wpc-term-item-content-wrapper {
	padding-top: 2px !important;
	padding-bottom: 2px !important;
}
.wpc-term-item-content-wrapper label {
    width: 100% !important;
}
.wpc-term-item-content-wrapper:hover {
	background: #868D96;
}
.wpc-term-item-content-wrapper:hover .wpc-term-count-value {
	background: #121314 !important;
}
.wpc-filter-link {
	flex-grow: 1 !important;
	display: flex;
	align-items: center;
}
.wpc-term-count {
	display: flex !important;
	align-items: center !important;
	justify-content: center !important;
	opacity: 1 !important;
	width: 40px !important;
}

.wpc-term-count-value {
	background: #C7CCD6;
	color: white;
	padding: 5px;
	width: 40px !important;
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100% !important;
}
i.wpc-toggle-children-list {
	width: 40px !important;
	right: 0px !important;
}
i.wpc-toggle-children-list:hover {
	background-color: #FFF222 !important;
}
i.wpc-toggle-children-list:after, i.wpc-toggle-children-list:before {
	margin: 0 14px !important;
	background-color: #121314 !important;
/*transition: transform 0.3s ease;*/ /*NO FUNCIONÓ*/
}

.ui-slider-handle {
    box-shadow: none !important;
	top: -6px !important;
	width: 16px !important;
	height: 16px !important;
	background: black !important;
}

.wpc-filter-chips-list {
	display: flex;
	gap: 5px;
}
.wpc-filter-chips-list li{
	margin: 0 !important;
}

.wpc-filter-chips-list a, body .wpc-filter-chips-list li.wpc-filter-chip a {
    text-decoration: none;
    font-weight: 600 !important;
    border-radius: 2px !important;
    padding: 5px 10px !important;
    border: 1px solid black !important;
    color: #121314 !important;
}
.wpc-chip-reset-all a{
	background: black !important;
}
.wpc-chip-reset-all *{
	color: white !important;
}

.wpc-filter-_sku .wpc-term-item-content-wrapper {
    padding-right: 0 !important;
}

.wpc-filters-widget-controls-wrapper {
	gap: 5px;
}
.wpc-filters-widget-controls-item {
    width: 100% !important;
}
.wpc-filters-widget-controls-one .wpc-filters-apply-button {
	font-size: 0;
}
.wpc-filters-widget-controls-one .wpc-filters-apply-button::after {
	content: "Aplicar filtros";
	font-size: 16px;
	visibility: visible;
}


/*Catálogo de productos*/
.woocommerce ul.products, .woocommerce-page ul.products {
    column-gap: 0;
}

.woocommerce .ast-shop-toolbar-container {
	margin-bottom: 15px !important;
}

.ast-shop-product-out-of-stock{ display: none !important;}

li.product {
    padding: 10px !important;
    transition: background-color 0.3s ease !important;
}
li.product:hover {
    background-color: #EBEDF2;
}
li.product .woocommerce-LoopProduct-link {
	padding: 5px 5px 0;
}
li.product .ast-woo-product-category {
	padding-left: 5px;
}
li.product .woocommerce-loop-product__title, li.product .price {
	padding: 5px !important;
	margin-bottom: 0 !important;
}
li.product a.ast-loop-product__link {
	line-height: 1 !important;
	height: auto !important;
	vertical-align: middle;
}

/* Resaltado de hover en productos */
li.product .ast-loop-product__link h2,
li.product .price {
    position: relative !important;
    display: inline-block !important; /* Importante para que el fondo no ocupe todo el ancho si no quieres */
    z-index: 1 !important;
    overflow: hidden !important;
    transition: color 0.2s ease !important;
}
li.product .ast-loop-product__link h2::before,
li.product .price::before {
    content: "";
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background-color: black;
    z-index: -1 !important;
    transition: left 0.2s cubic-bezier(0.4, 0, 0.2, 1);
}
li.product .price::before {
    /*left: 100% !important;*/
	background-color: #868D96;
}
li.product:hover .ast-loop-product__link h2::before,
li.product:hover .price::before {
    left: 0 !important;
}
li.product:hover .ast-loop-product__link h2, li.product:hover .price {
    color: white !important;
}
li.product .ast-loop-product__link {
    background-color: transparent !important;
    z-index: 2;
}


/*Contador de productos*/
.woocommerce-breadcrumb, .ast-woo-product-category {
	font-size: 14px !important;
	font-family: 'Barlow Semi Condensed', sans-serif;
	color: #868D96 !important;
	opacity: 1 !important;
}
.woocommerce-result-count {
	font-size: 16px;
	font-family: 'Barlow Semi Condensed', sans-serif;
}


/*Tarjetas de productos*/
.woocommerce ul.products li.product .astra-shop-summary-wrap, .woocommerce-page ul.products li.product .astra-shop-summary-wrap {
    padding: 0 15px 0 0 !important;
}
/*SKU*/
.sku-tienda {
    font-size: 14px;
    color: #868D96;
    text-transform: uppercase;
    font-weight: 400;
	font-family: 'Barlow Semi Condensed', sans-serif;
    padding: 0 15px 0 5px
}

/*Producto*/
.posted_in {
	display: none !important;
}
.woocommerce-js div.product .product_meta {
    padding-top: 5px;
    font-size: .9em;
    margin: 30px 0 15px;
}
.product_meta {}
.sku_wrapper {
	font-family: 'Barlow Semi Condensed', sans-serif;
	font-size: 16px;
	font-weight: 700 !important;
}

/*Sombra debajo de imagenes*/
.ast-article-single figure, .ast-article-single img:not(figure img) {
    box-shadow: none !important;
    -webkit-box-shadow: none !important;
    -moz-box-shadow: none !important;
}

/*Padding de logo y header*/
.ast-site-identity {
    padding: 5px 0;
}

/*Altura de buscador*/
input[type="search"] {
	height: 30px !important;
}
/*Buscador tipo cover header (en moviles)*/
.ast-search-box.header-cover .search-field {
    font-size: 16px !important;
	padding: 0 20px !important;
}

/*footer*/
.site-footer {
	z-index: 1;
}

/*FiboSearch*/
	.site-header-primary-section-left .ast-builder-layout-element, .site-header-primary-section-left .ast-header-html{
		width: 100%;
	}
	.site-header-primary-section-left .ast-header-html{
		width: 67%;
	}
	.dgwt-wcas-style-pirx.dgwt-wcas-style-pirx-compact .dgwt-wcas-sf-wrapp {
    padding: 0 !important;
    border-radius: 2px !important;
}
	.dgwt-wcas-style-pirx .dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input {
    padding: 5px 10px !important;
    line-height: 1 !important;
    /*font-size: 14px !important;*/
    border: none !important;
    border-radius: 2px !important;
}
.dgwt-wcas-search-input {
    box-shadow: none !important;
    -webkit-box-shadow: none !important;
    -moz-box-shadow: none !important;
    outline: none !important;
    border: none !important;
}
.dgwt-wcas-style-pirx.dgwt-wcas-style-pirx-compact .dgwt-wcas-sf-wrapp button.dgwt-wcas-search-submit {
    left: auto !important;
	top: 0 !important;
	right: 0 !important;
	min-height: 0;
    min-width: 0;
    height: 100% !important;
    width: 30px;
	border-radius: 0 !important;
	text-shadow: none !important;
	box-shadow: none !important;
	border: none;
}
.dgwt-wcas-style-pirx .dgwt-wcas-preloader {
    margin-right: 5px !important;
}
.dgwt-wcas-style-pirx.dgwt-wcas-style-pirx-compact .dgwt-wcas-sf-wrapp button.dgwt-wcas-search-submit:hover {
    background-color: #EBEDF2;
}
/*Productos de búsqueda*/
.dgwt-wcas-has-img .dgwt-wcas-suggestion.dgwt-wcas-suggestion-product {
    padding-top: 5px !important;
    padding-bottom: 5px !important;
}
.dgwt-wcas-suggestion {
    cursor: pointer;
    font-size: 12px;
    line-height: 110%;
    text-align: left;
    padding: 5px 10px !important;
    position: relative;
    border-bottom: 1px solid #dfdfdf;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    resize: vertical;
    width: 100%;
    transition: none !important;
}
.dgwt-wcas-suggestion-product .dgwt-wcas-st {
    font-size: 14px;
	display: flex;
	flex-direction: column;
	justify-content: center;
}
.dgwt-wcas-sp .woocommerce-Price-amount {
	/*color: #121314;*/
	font-weight: 600;
	}
.dgwt-wcas-sp .woocommerce-price-suffix {color: #868D96;}

.dgwt-wcas-sku{
	color: #868D96 !important;
}
/*Imagenes de busqueda*/
.dgwt-wcas-si {
    width: auto !important;
    display: block;
    height: auto;
}
.dgwt-wcas-si img {
	width: 90px;
	    height: auto;
	max-height: 100% !important;
    border: 0 !important;
    border-radius: 0 !important;
    display: block;
    margin: auto;
    padding: 0 !important;
}

/*forms*/
.direc {
	padding: 4px 0 !important;
}
.direc-title {
	padding: 15px 0 4px !important;
}
/*.acceso div {
	width: 100% !important;
	max-width: 100% !important;
}*/

/*ANIMACIONES*/

/*BOTONES DE REGISTRO*/
/*.boton-registro:hover {
	background: #FFF222;
	transform: scale(1.05);
	transition: 0.2s ease-in-out;
	z-index: 2;
}*/
.boton-registro {
  position: relative;
  overflow: hidden;
  display: block;
}
.boton-registro::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #fff222;
  transform: scaleY(0);
  transform-origin: top;
  transition: transform 0.4s ease;
  z-index: 1;
}
.boton-registro:hover::before {
  transform: scaleY(0.5);
}
.boton-registro > .boton-registro-info {
  position: relative;
  z-index: 1;
}

/*
 * RELLENO DESLIZANTE EN HOVER
 * PARA USAR: Aplicar clase .fx-fill y clase de color (.fx-fill-black/yellow)
*/
.fx-fill {
  position: relative !important;
  overflow: hidden !important;
}
/* capa de color */
.fx-fill::before {
  content: "";
  position: absolute;
  inset: 0;
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.2s ease;
  z-index: 0;
  pointer-events: none;
}
/* animación */
.fx-fill:hover::before {
  transform: scaleX(1);
}
/*hijos arriba*/
.fx-fill * {
	  z-index: 1;
}
.fx-fill:hover::before a {
  position: relative !important;
}

/* Negro → texto blanco */
.fx-fill-black::before {
  background: black !important;
}
.fx-fill-black:hover {
  color: white !important;
}

/* Amarillo (#FFF222) → texto negro */
.fx-fill-yellow::before {
  background: #FFF222 !important;
}
.fx-fill-yellow:hover {
  color: black !important;
}

/*ANIMACIONES DE BOTONES TEXTUALES (a)*/

footer .menu-item {
	position: relative !important;
  	overflow: hidden !important;
}
footer .menu-item::before {
  content: "";
  position: absolute;
  inset: 0;
  background: #EBEDF2;
  transform: scaleY(0);
  transform-origin: top;
  z-index: 0;
  pointer-events: none;
    transition: transform 0.2s cubic-bezier(0.4, 0, 0.2, 1);
}
footer .menu-item:hover::before {
  transform: scaleY(1);
}
footer .menu-link {
  position: relative;
  z-index: 1;
}

@media (min-width: 922px) {
	.ast-left-sidebar #primary {
        padding-left: 30px !important;
		padding-right: 0 !important;
		border-left: none !important;
    }
    .ast-left-sidebar #secondary {
        padding-right: 0;
		border-right: none !important;
		min-width: 300px !important;
    }
	.sidebar-main {
		scrollbar-gutter: stable;
	}
	.woocommerce #content .ast-woocommerce-container div.product div.summary, .woocommerce .ast-woocommerce-container div.product div.summary, .woocommerce-page #content .ast-woocommerce-container div.product div.summary, .woocommerce-page .ast-woocommerce-container div.product div.summary {
        width: 50% !important;
    }
	
	/*Padding de navegación de categorías del header*/
.site-below-header-wrap {
	padding-left: 5px;
    padding-right: 10px;
}

/*Menu de navegacion*/
	
.main-header-menu .menu-item .menu-link, .astra-megamenu .menu-link {
    position: relative;
    display: inline-block; 
	overflow: hidden;
	z-index: 1;
	background-color: transparent !important;
		width: 100%;
}
.main-header-menu .menu-item .menu-link::before {
    content: "";
    position: absolute;
    top: -100%;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #FFF222;
    z-index: -1;
    transition: top 0.2s cubic-bezier(0.4, 0, 0.2, 1);
}
.main-header-menu .menu-item:hover > .menu-link::before {
    top: 0;
}
.main-header-menu .menu-item:hover > .menu-link {
    color: #000000 !important; /* Letra negra */
}
	
.main-header-menu .astra-full-megamenu-wrapper .astra-megamenu .menu-item .menu-link{}
	
.main-header-menu .astra-megamenu .menu-link::before {
    background-color: black !important;
}
.main-header-menu .astra-megamenu .menu-item:hover > .menu-link {
    color: #FFF222 !important;
}
.main-header-menu .astra-megamenu .menu-item:hover{
		background-color: color-mix(in srgb, #FFF222, black 5%);
	}
	
	
/*barra lateral*/
.wpc-filter-chips-list {
	flex-direction: column;
}	
/*reordenar elementos de la barra lateral*/
.wpc-filters-widget-containers-wrapper {
	display: flex;
	flex-direction: column;
}
.wpc-filter-set-widget-title {
	order: 1;
}
.wpc-filters-widget-top-container {
	order: 2;
}
.wpc-filters-scroll-container{
	order: 3;
}

}



@media (max-width: 921px) {
	 /* Seleccionamos el contenedor principal de la página de tienda */
    .archive .ast-container, 
    .archive #content > .ast-container {
        display: flex !important;
        flex-direction: column !important;
    }
    /* Forzamos al Sidebar (#secondary) a subir al primer lugar */
    .archive #secondary {
        order: -1 !important;
        display: block !important;
        position: static !important; /* Desactiva el sticky que se ve en tu captura */
    }
    /* Aseguramos que la cuadrícula de productos (#primary) quede debajo */
    .archive #primary {
        order: 1 !important;
    }
	
	.ast-woocommerce-container ul.products {
		margin-left: -15px;
 		margin-right: -15px;
	}
	
}


@media (max-width: 544px) {
    /*.ast-header-search form.search-form .search-field, .ast-header-search .ast-dropdown-active.ast-search-menu-icon.slide-search input.search-field, .ast-mobile-header-content .ast-search-menu-icon .search-form, .ast-header-search {
        width: 100% !important;
    }*/
	
/*Padding de tarjeta e información de productos*/
	.ast-container {
		padding: 0 !important;
	}
	.summary, .related {
		padding: 0 20px;
	}
	
}


